net.sourceforge.pmd.cpd

## Interface CPDListener

- All Known Implementing Classes:
    CPDNullListener, GUI

      public interface CPDListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DONE`
    `static int` | `GROUPING`
    `static int` | `HASH`
    `static int` | `INIT`
    `static int` | `MATCH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addedFile(int fileCount, File file)`
    `void` | `phaseUpdate(int phase)`

- - ### Field Detail

    - #### INIT

          static final int INIT

      See Also:
        Constant Field Values

    - #### HASH

          static final int HASH

      See Also:
        Constant Field Values

    - #### MATCH

          static final int MATCH

      See Also:
        Constant Field Values

    - #### GROUPING

          static final int GROUPING

      See Also:
        Constant Field Values

    - #### DONE

          static final int DONE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addedFile

          void addedFile(int fileCount,
                       File file)

    - #### phaseUpdate

          void phaseUpdate(int phase)

Copyright © 2002-2013 InfoEther. All Rights Reserved.